Bug 588064 - Add okular support to vim-latex
Add okular support to vim-latex
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: vim-latex (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Susi Lehtola
Fedora Extras Quality Assurance
:
: 652647 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-02 09:26 EDT by Mario Santagiuliana
Modified: 2010-12-03 10:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 10:11:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
diff file of compiler.vim to use okular in vim-latex (1.17 KB, patch)
2010-05-02 09:26 EDT, Mario Santagiuliana
no flags Details | Diff

  None (edit)
Description Mario Santagiuliana 2010-05-02 09:26:42 EDT
Created attachment 410797 [details]
diff file of compiler.vim to use okular in vim-latex

I describe the problem and give a solution to vim-latex mailing list here:
http://sourceforge.net/mailarchive/forum.php?thread_name=201004241152.15850.mario%40marionline.it&forum_name=vim-latex-devel

I want to configure vim-latex to search forward in dvi file.
I'm working on fedora 12 64-bit. My desktop enviroment is Kde 4.4.2 so I use Okular.

My vim installation:
$ rpm -qa|grep vim|sort
vim-common-7.2.411-1.fc12.x86_64
vim-enhanced-7.2.411-1.fc12.x86_64
vim-latex-1.8.23-1.20091230.r1079.fc12.noarch
vim-latex-doc-1.8.23-1.20091230.r1079.fc12.noarch
vim-minimal-7.2.411-1.fc12.x86_64
vim-X11-7.2.411-1.fc12.x86_64

My vimrc configuration for vim-latex:
autocmd FileType tex setlocal spell spelllang=it
let g:tex_flavor='latex'
let g:Tex_CompileRule_dvi='latex -src-specials -interaction=nonstopmode $*'
let g:Tex_ViewRuleComplete_dvi = 'okular $*.dvi >/dev/null 2>&1 &'
autocmd Filetype tex imap <C-i> <Plug>Tex_InsertItemOnThisLine
let g:Tex_ItemStyle_list = '\item <++>'

In Okular I setup my editor with this line:
vimx --remote-tab-silent +%l %f

I start to edit a tex file without problem in vim. Generally I edit file with:
$ vimx --servername VIMX file.tex
so from Okular I can performe inverse search into my vim just opened.
From vim with \ll I can compile my code. With \lv I can open Okular e from that I can do inverse 
search.

With \ls I have nothing.

From bash I can open my dvi file and view the line that I remember from vim session. For example 
I edit line 45 and I want to view (search forward) my change, whit \ls I can't do that, from 
commad line (bash) I can do that:
$ okular file.dvi#src:45

Okular from version 0.10 support forward search:
http://okular.kde.org/news.php#itemOkular010released

In attachment there is my patch.
I change something in compiler.vim.
I add some rule for okular.

Now my configs line in vimrc for vim-latex are:
autocmd FileType tex setlocal spell spelllang=it
let g:tex_flavor='latex'
let g:Tex_CompileRule_dvi='latex -src-specials -interaction=nonstopmode $*'
let g:Tex_ViewRule_dvi = 'okular'
autocmd Filetype tex imap <C-i> <Plug>Tex_InsertItemOnThisLine
let g:Tex_ItemStyle_list = '\item <++>'

I can start okular and view dvi file with \lv.
I can start search forward in okular with \ls.
Comment 1 Bug Zapper 2010-11-03 11:50:18 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Till Maas 2010-11-03 14:36:21 EDT
This is fixed in this update iirc:
https://admin.fedoraproject.org/updates/vim-latex-1.8.23-1.20101027.r1112.fc12
Comment 3 Mario Santagiuliana 2010-11-12 07:58:03 EST
I upgrade my fedora installation to fedora 14.
Are you sure this package fixed the bug.

Please, can you view this new bug report?
https://bugzilla.redhat.com/show_bug.cgi?id=652647

Thank you very much for your work.
Comment 4 Susi Lehtola 2010-11-12 09:03:12 EST
*** Bug 652647 has been marked as a duplicate of this bug. ***
Comment 5 Susi Lehtola 2010-11-12 09:20:04 EST
In reply to your comment in bug #562647
> Please update vim-latex to last version provides by official vim-latex project.
> It contains other usefull patch.

vim-latex-1.8.23-1.20101027.r1112 is already the latest version provided by the vim-latex project as you can see from

http://sourceforge.net/projects/vim-latex/files/
Comment 6 Mario Santagiuliana 2010-11-12 09:43:43 EST
Oh, I was wrong...excuse me.

I'm asking to vim-latex developers when they give us the next snapshot with bugfix and more features. Hope I can help them in test.

Thank you.
Comment 7 Bug Zapper 2010-12-03 10:11:38 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.